.detailContainer {
  display: flex;
  flex-direction: column;
  width: 90vw;
  height: 100vh;
  margin-top: 100px;
}

.detailImage {
  width: 90%;
  height: 100%;
  object-fit: cover;
}

.detailContent {
  display: grid;
  grid-template-columns: 50% 50%;
  margin-top: 50px;
}

.parent {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(3, 1fr);
  height: 400px;
  align-items: center;
  gap: 50px;
}

.detailName {
  grid-area: 1 / 1 / 2 / 3;
}
.detailItem {
  width: 50%;
}
.detailFooter {
  grid-area: 3 / 1 / 4 / 3;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.bordersDetail {
  display: flex;
  flex-direction: row;
  gap: 10px;
}

.bordersItem {
  width: 70px;
  border-radius: 5px;
  box-shadow: var(--borderItem);
  text-align: center;
}

@media (max-width: 768px) {
  .detailContent {
    display: flex;
    flex-direction: column;
    width: 100vw;
    margin-top: 50px;
  }
  .parent {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
  }
  .detailName {
    display: flex;
    font-size: small;
  }
  .detailFooter {
    display: flex;
    flex-direction: column;
  }
  .bordersDetail {
    display: flex;
  }
}

.loader {
  border: 10px solid #f3f3f3;
  border-radius: 50%;
  border-top: 10px solid #3498db;
  width: 60px;
  height: 60px;
  margin-top: 120px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}
